Bug 154301 - [maintainer-update] ports/math/py-networkx update
Summary: [maintainer-update] ports/math/py-networkx update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-26 08:30 UTC by dikshie
Modified: 2011-01-29 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (17.75 KB, patch)
2011-01-26 08:30 UTC, dikshie
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dikshie 2011-01-26 08:30:09 UTC
update ports/math/py-networkx

New features
- k-shell,k-crust,k-coronoa
- read GraphML files from yEd
- read/write GEXF format files
- find cycles in a directed graph
- DFS and BFS algorithms
- chordal graph functions
- Prim's algorithm for minimum spanning tree
- r-ary tree generator
- rich club coefficient
- NumPy matrix version of Floyd's algorithm for all-pairs shortest path
- read GIS shapefiles
- functions to get and set node and edge attributes
- and more, see https://networkx.lanl.gov/trac/query?status=closed&group=milestone&milestone=networkx-1.4

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2011-01-28 04:58:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-01-29 06:23:22 UTC
miwi        2011-01-29 06:23:16 UTC

  FreeBSD ports repository

  Modified files:
    math/py-networkx     Makefile distinfo pkg-plist 
    math/py-networkx/files patch-setup.py 
  Log:
  - Update to 1.4
  
  PR:             154301
  Submitted by:   dikshie <dikshie@sfc.wide.ad.jp> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.7       +1 -1      ports/math/py-networkx/Makefile
  1.7       +2 -2      ports/math/py-networkx/distinfo
  1.5       +88 -37    ports/math/py-networkx/files/patch-setup.py
  1.6       +111 -3    ports/math/py-networkx/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2011-01-29 06:23:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!